package com.ssj.service.sys.lesson.service;


import java.util.List;

import com.ssj.bean.sys.lesson.domain.LessonGroup;
import com.ssj.framework.core.common.service.BaseService;

public interface LessonGroupService extends BaseService<LessonGroup, String> {

	LessonGroup findByIdAndTeacherIdAndPlanStatus(String lessonGroupId, String teacherId, Integer planStatus);
	
	public LessonGroup findByIdAndMasterId(String lessonGroupId,String masterId);

	/**
	 * 检测是否有缺席课程（老师没去上课），如果有并且有下一节课，则调整小组课程当前课次为下一节
	 */
    void checkAndAdjustLessonGroup(String teacherId, String masterId);

    List<LessonGroup> findByVipId(String vipId);
}
